Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.messageparts
Class JaxbContextHolder

    java.lang.Object
      eu.osci.messageparts.JaxbContextHolder

    public class JaxbContextHolder

extends java.lang.Object

Class to get JAXB context in the OSCI environment.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Constructor Summary
`JaxbContextHolder()`

Method Summary
`static javax.xml.bind.JAXBContext` | `getAddressingJaxBContext()` Internal method to get the JAXB context to marshal and unmarshal addressing objects.
`static javax.xml.bind.JAXBContext` | `getLetterStyleJaxBContext()` Internal method to get the JAXB context to marshal and unmarshal LetterStyle objects.
`static javax.xml.bind.JAXBContext` | `getOSCIJaxBContext()` Internal method to get the JAXB context to marshal and unmarshal OSCI objects.
`static javax.xml.bind.JAXBContext` | `getTrustJaxBContext()` Internal method to get the JAXB context to marshal and unmarshal WS-Trust objects.
`static javax.xml.bind.JAXBContext` | `getXKMSJaxBContext()` Internal method to get the JAXBContext to marshal and unmarshal XKMS objects.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbContextHolder

    public JaxbContextHolder()

Method Detail

### getTrustJaxBContext

    public static javax.xml.bind.JAXBContext getTrustJaxBContext()
                                                          throws javax.xml.bind.JAXBException

  Internal method to get the JAXB context to marshal and unmarshal WS-Trust objects.

  Returns:
    The created JAXB context.
  Throws:
    `javax.xml.bind.JAXBException` - In case of errors creating the JAXB context.

### getOSCIJaxBContext

    public static javax.xml.bind.JAXBContext getOSCIJaxBContext()
                                                         throws javax.xml.bind.JAXBException

  Internal method to get the JAXB context to marshal and unmarshal OSCI objects.

  Returns:
    The created JAXB context.
  Throws:
    `javax.xml.bind.JAXBException` - In case of errors creating the JAXB context.

### getXKMSJaxBContext

    public static javax.xml.bind.JAXBContext getXKMSJaxBContext()
                                                         throws javax.xml.bind.JAXBException

  Internal method to get the JAXBContext to marshal and unmarshal XKMS objects.

  Returns:
    The created JAXB context.
  Throws:
    `javax.xml.bind.JAXBException` - In case of errors creating the JAXB context.

### getAddressingJaxBContext

    public static javax.xml.bind.JAXBContext getAddressingJaxBContext()
                                                               throws javax.xml.bind.JAXBException

  Internal method to get the JAXB context to marshal and unmarshal addressing objects.

  Returns:
    The created JAXB context.
  Throws:
    `javax.xml.bind.JAXBException` - In case of errors creating the JAXB context.

### getLetterStyleJaxBContext

    public static javax.xml.bind.JAXBContext getLetterStyleJaxBContext()
                                                                throws javax.xml.bind.JAXBException

  Internal method to get the JAXB context to marshal and unmarshal LetterStyle objects.

  Returns:
    The created JAXB context.
  Throws:
    `javax.xml.bind.JAXBException` - In case of errors creating the JAXB context.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.